Bug 444864 - Unable to set London as a timezone in KDE
Unable to set London as a timezone in KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 07:28 EDT by Gary Williams
Modified: 2010-07-01 17:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:52:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Williams 2008-05-01 07:28:06 EDT
Description of problem:

Timezone selection won't accept London. It jumps to Guernsey

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Right-click on Clock and select Adjust Date/time
2. Select London from the timezone list then click on apply
  
Actual results:
Right-click on Clock and note that the timezone is back to Guernsey

Expected results:
Timezone should be London

Additional info:
Comment 1 Kevin Kofler 2008-05-01 07:36:26 EDT
Strange behavior... As long as it lands on something on BST, it's not a 
critical bug, but it's very weird, because e.g. Vienna can be selected just 
fine, it won't switch to some other city which happens to be on CEST.
Comment 2 Rex Dieter 2008-05-01 08:00:23 EDT
It's not just London, "Isle of Man" does the same thing (for me).
Comment 3 Kevin Kofler 2008-05-01 08:05:26 EDT
I guess it has something against Great Britain? Maybe it's some confusion on 
whether it's actually "Great Britain" or the "United Kingdom"?
Comment 4 Rex Dieter 2008-05-01 08:27:13 EDT
At this point, I'd say file this upstream @ bugs.kde.org, and see what other
folks have to say.
Comment 5 Bug Zapper 2008-11-26 05:37:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 info 2008-12-22 13:30:17 EST
This bug is still there in Fedora 10.

I noticed that in /usr/share/zoneinfo/Europe/ the files for Guernsey and London are identical, but for Vienna and Berlin they are different. Oslo and Longyearbyen are also identical (the bug has been reported with these cities too).

I don't know how the time zone is determined in KDE, but if it just compares /etc/localtime with the files in /usr/share/zoneinfo/ and reports the first match, this would explain the strange behaviour.
Comment 7 Bug Zapper 2009-01-09 01:27:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Kevin Kofler 2009-01-09 02:11:08 EST
Reopening, comment #6 says it still happens in F10.
Comment 9 Andrea 2009-10-11 16:07:04 EDT
(In reply to comment #6)
> This bug is still there in Fedora 10.
> 
> I noticed that in /usr/share/zoneinfo/Europe/ the files for Guernsey and London
> are identical, but for Vienna and Berlin they are different. Oslo and
> Longyearbyen are also identical (the bug has been reported with these cities
> too).
> 
> I don't know how the time zone is determined in KDE, but if it just compares
> /etc/localtime with the files in /usr/share/zoneinfo/ and reports the first
> match, this would explain the strange behaviour.  

It is still there in F11 as well.
Comment 10 Bug Zapper 2009-11-18 07:29:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Rex Dieter 2009-11-18 08:52:20 EST
Fwiw, I can no longer reproduce this on f12/kde-4.3.3
Comment 12 Andrew Wasielewski 2010-06-30 18:14:25 EDT
This is still here (or back again) in F13 (kernel 2.6.33.5-124.fc13.x86_64 / KDE 4.4.4)  IIRC I had the same problem in F12 previously.

As Stephan Matthiesen observes (#6) the Guernsey & London files in /usr/share/zoneinfo/Europe have identical MD5 checksums, but so do other places in the same TZ that would match before e.g. Belfast.
Comment 13 Andrew Wasielewski 2010-07-01 17:05:44 EDT
Update to #12:
If I try to change the TZ using "Adjust Date & Time" from RMC on digital clock I am stuck with Guernsey.
If I use "Digital Clock Settings" and use Timezone panel I can change it to London - same if I use "Date & Time" in Administration menu.
Now if I hover over the digital clock I see both London and Guernsey...

Note You need to log in before you can comment on or make changes to this bug.